"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getMappedImports_1 = require("./getMappedImports");
var groupAndCountImports = function (config, files, imports) {
    if (imports.length === 0) {
        return [];
    }
    var mappedImports = (0, getMappedImports_1.default)(config, files);
    var resultsArray = imports.reduce(function (results, imp) {
        (results[imp.libraryName] = results[imp.libraryName] || []).push(imp);
        return results;
    }, {});
    var usedImports = Object.keys(resultsArray)
        .map(function (key) { return ({
        libraryName: key,
        count: resultsArray[key].length,
    }); })
        .sort(function (a, b) { return b.count - a.count; });
    mappedImports.map(function (mappedImport) {
        if (!resultsArray[mappedImport]) {
            usedImports.push({
                libraryName: mappedImport,
                count: 0,
            });
        }
    });
    return usedImports;
};
exports.default = groupAndCountImports;
